import { GeographicMarkerSeriesDescription } from "./GeographicMarkerSeriesDescription";
import { SizeScaleDescription } from "./SizeScaleDescription";
import { BrushScaleDescription } from "./BrushScaleDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class GeographicProportionalSymbolSeriesDescription extends GeographicMarkerSeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private fk;
    get latitudeMemberPath(): string;
    set latitudeMemberPath(a: string);
    private fl;
    get longitudeMemberPath(): string;
    set longitudeMemberPath(a: string);
    private fm;
    get radiusMemberPath(): string;
    set radiusMemberPath(a: string);
    private ex;
    get radiusScale(): SizeScaleDescription;
    set radiusScale(a: SizeScaleDescription);
    private fj;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private fh;
    get fillMemberPath(): string;
    set fillMemberPath(a: string);
    private ev;
    get fillScale(): BrushScaleDescription;
    set fillScale(a: BrushScaleDescription);
    private ez;
    get fillScaleUseGlobalValues(): boolean;
    set fillScaleUseGlobalValues(a: boolean);
    private e2;
    get markerOutlineUsesFillScale(): boolean;
    set markerOutlineUsesFillScale(a: boolean);
    private fa;
    get markerOutlineBrightness(): number;
    set markerOutlineBrightness(a: number);
    private e9;
    get markerBrushBrightness(): number;
    set markerBrushBrightness(a: number);
    private e3;
    get radiusScaleUseGlobalValues(): boolean;
    set radiusScaleUseGlobalValues(a: boolean);
    private e1;
    get isCustomScatterStyleAllowed(): boolean;
    set isCustomScatterStyleAllowed(a: boolean);
    private e0;
    get isCustomScatterMarkerStyleAllowed(): boolean;
    set isCustomScatterMarkerStyleAllowed(a: boolean);
    private fi;
    get itemSearchMode(): string;
    set itemSearchMode(a: string);
    private fd;
    get itemSearchThreshold(): number;
    set itemSearchThreshold(a: number);
    private fg;
    get assigningScatterStyleRef(): string;
    set assigningScatterStyleRef(a: string);
    private ff;
    get assigningScatterMarkerStyleRef(): string;
    set assigningScatterMarkerStyleRef(a: string);
}
